---
id: 669fc938d38e6e38ace9251e
title: Step 3
challengeType: 0
dashedName: step-3
---

# --description--

Inside your `head` element, nest a `meta` element with the `charset` attribute set to the value `"UTF-8"`.

Below that `meta` element, add a `title` element. 

The `title` element's text should be `Mr. Whiskers' Blog`.

# --hints--

You should have a `meta` element.

```js
assert.isNotNull(document.querySelector("meta"));
```

The `meta` element is a void element, it should not have an end tag `</meta>`.

```js
assert.notMatch(code, /<\/meta>/i);
```

Your `meta` tag should have a `charset` attribute.

```js
assert.match(code, /<meta\s+charset\s*/i);
```

Your `charset` attribute should have a value of `"UTF-8"`.

```js
assert.match(code, /charset\s*=\s*('|")UTF-8\1/i);
```

Your `meta` element should be nested inside your `head` element.

```js
const meta = document.querySelector('head > meta');
assert.strictEqual(meta?.parentElement?.tagName, 'HEAD');
```

You should have an opening `title` tag.

```js
assert.match(code, /<title>/i);
```

You should have a closing `title` tag.

```js
assert.match(code, /<\/title>/i);
```

Your `title` element should be nested in your `head` element.

```js
assert.match(code, /<head>.*\s*<title>.*<\/title>.*\s*<\/head>/si);
```

Your `title` element should have the text `Mr. Whiskers' Blog`. You may need to check your spelling.

```js
const titleText = document.querySelector('title')?.innerText.trim();
assert.strictEqual(titleText, "Mr. Whiskers' Blog");
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  --fcc-editable-region--
  <head>
    
  </head>
  --fcc-editable-region--
</html>
```
